Subject: Re: Apache/PHP Problem:CLOSE_WAIT sockets
From: "Alvin Ng" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 22 Oct 2001 15:33:57 +0000

>First of all, which cygwin version are you running?

I'm running on Cygwin 1.3.3, I usually update it to the lastest version.

>Does that meen the php script runs forever and does not output
>anything?

Tested like this:
gets HTML page from Apache : OK( Port closes)
gets plain PHP page from Apache: OK( Port closes)
gets simple PHP script that outputs PGSQL data (script outputs as    
expected): CLOSE_WAIT

  The script executes the pgClose(database); statement.

>How did you see about CLOSE_WAIT states in sockets?
I did a netstat and also used a tool called ActivePorts from Smartline to 
monitor the connections(the tool reports the process that is currently using 
the port)

I installed the non-cgywin Win32 Apache from Apache Group and the win32 PHP 
from php.net. Seems like there is no problem in this case, even when PHP 
script is talking to the Cygwin PGSQL.

Anymore information needed?

-Alvin

>that unfortunatly ok for the cygwin platform. We have problems with
>apache for cygwin and signals. This has been reported to the cygwin
>core developers, unfortunatly there has not been any volonteer to
>track the problem in the cygwin lib itself.
>
>
>
>
>Stipe
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/